package com.ruoyi.system.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.service.impl.ZbGcServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/website/gc")
public class RestZbGcController {

    @Autowired
    ZbGcServiceImpl zbGcService;


    @GetMapping("/selectAllSumPriceByMon")
    public AjaxResult selectAllSumPriceByMon(){

        return AjaxResult.success(zbGcService.selectAllSumPriceByMon());
    }

    @GetMapping("/getAllCount")
    public AjaxResult getAllCount(){

        return AjaxResult.success(zbGcService.getAllCount());
    }

    @GetMapping("/getCleanCake")
    public AjaxResult getCleanCake(){

        return AjaxResult.success(zbGcService.getCleanCake());
    }
    @GetMapping("/getTypeByMon")
    public AjaxResult getTypeByMon(){
        return AjaxResult.success(zbGcService.getTypeByMon());
    }

    @GetMapping("/getCountByDepType")
    public AjaxResult getCountByDepType(){
        return AjaxResult.success(zbGcService.getCountByDepType());
    }
}
